%define gnet_vers 2.0.4

Summary: A GNOME/GTK+ news reader for X.
Name: pan
Version: 0.14.2
Release: 7
Epoch: 1
License: GPL
Group: Applications/Internet
Source: http://pan.rebelbase.com/download/%{version}/%{name}-%{version}.tar.bz2
#Source1: net-pan.desktop
Source2: http://www.gnetlibrary.org/src/gnet-%{gnet_vers}.tar.gz
#Patch5: pan-0.12.1-browser.patch
Patch7: pan-0.14.0-default-editor-80839.patch
# disabled (see below)
Patch8: pan-0.14.2-gcc34.patch
Patch9: pan-0.14.2-gmime-crash-120007.patch
Patch10: pan-desktop-rh-119909.patch
URL: http://pan.rebelbase.com/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel glib2-devel gtkspell-devel aspell-devel
BuildRequires: libxml2-devel >= 2.4.22
Requires: gtk2 glib2 gtkspell libxml2 >= 2.4.22

%description
Pan is a newsreader which attempts to be pleasant to new and
advanced users alike. It has all the standard newsreaders
features and also supports offline newsreading,
sophisticated filtering, multiple connections, yEnc
decoding, and other extra features for power users and
alt.binaries fans. It's also the only Unix newsreader to get
a perfect score on the Good Net-Keeping Seal of Approval
evaluations.

%prep
%setup -q -a2
#%%patch5 -p1 -b .browser
%patch7 -p1 -b .editor
# this patch breaks pan (see bug 121103)
## gcc-3.4 fix
#%%patch8 -p1 -b .gcc34
# fix gmime crash
%patch9 -p0 -b .crash
# add rh defs to upstream desktop file
%patch10 -p1 -b .rh

%build
( cd gnet-%{gnet_vers}
  ./configure --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir} --disable-shared --enable-glib2
  rm -rf %{buildroot}
  %makeinstall )
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
%configure --enable-gtkspell --with-gnet-exec-prefix=%{buildroot}%{_prefix}
make

%install
rm -rf %buildroot
%makeinstall
%find_lang %name

# move desktop file into right place
mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/gnome/apps/Internet/pan.desktop %{buildroot}%{_datadir}/applications/net-pan.desktop
rmdir %{buildroot}%{_datadir}/gnome/apps/Internet/
echo "OnlyShowIn=GNOME;" >> %{buildroot}%{_datadir}/applications/net-pan.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog README TODO
%{_bindir}/pan
%{_datadir}/pixmaps/*
%{_datadir}/applications/net-pan.desktop

%changelog
* Thu May 06 2004 Than Ngo <than@redhat.com> 1:0.14.2-7
- cleanup GNOME/KDE Menu

* Tue Apr 20 2004 Jens Petersen <petersen@redhat.com> - 1:0.14.2-6
- disable pan-0.14.2-gcc34.patch since it seems to break things badly
  (Nathan Grennan,121103)

* Wed Apr 14 2004 Jens Petersen <petersen@redhat.com> - 1:0.14.2-5
- add pan-desktop-rh-119909.patch and use upstream desktop file
  (hayastan132@hotmail.com)
- add pan-0.14.2-gmime-crash-120007.patch to fix crashing
  (confushion@comcast.net)
- add pan-0.14.2-gcc34.patch to fix building with newer gcc (Jeff Law)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-3
- require libxml2 and buildrequire libxml2-devel [Maxim Dzumanenko]

* Wed Sep 17 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-2
- build with gtkspell support enabled [suggested by Alan Sanderson]
- require gtkspell and buildrequire gtkspell-devel and aspell-devel

* Wed Sep  3 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-1
- update to 0.14.2 bugfix release (fixes a long-standing seldom seen
  config file corruption bug)

* Thu Aug 28 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.1-1
- update to 0.14.1 bugfix release
- build with gnet-2.0.4 and pass PKG_CONFIG_PATH for it to configure

* Fri Jun 27 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.0-2
- build gnet with glib2 (#98060) [reported by suckfish@ihug.co.nz]

* Sun Jun 22 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.0-1
- update to 0.14.0
- drop pan-0.12.1-browser.patch (the default is now mozilla)
- update pan-0.13.3-editor-80839.patch to pan-0.14.0-default-editor-80839.patch
- build gnet-1.1.9 to make libgnet.a for new gnet requirement
- use %%buildroot

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 1:0.13.3-3
- change browser patch to default to htmlview instead of gnome-moz-remote
  (#80839) and default editor to [from Louis Garcia]
- change default editor to gedit (#80839) [based on patch from Louis Garcia]
- set startup notification in desktop file

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 31 2002 Jens Petersen <petersen@redhat.com> 1:0.13.3-1
- update to 0.13.3

* Thu Nov 28 2002 Jens Petersen <petersen@redhat.com> 1:0.13.2-1
- update to 0.13.2, fixing #77989
- drop old patches

* Thu Aug 29 2002 Jens Petersen <petersen@redhat.com> 1:0.13.0-2
- 0.13.0
- configure with --disable-gtkspell
- fix type of gmime's message_part_write_to_stream on 64bit archs

* Fri Aug 16 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-3
- update desktop file so that pan lives in Extras -> Internet

* Thu Aug 8 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-2
- update url
- update requires and build-requires
- fix desktop file
- update description

* Wed Aug 7 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-1
- 0.12.1
- build on all archs
- default to gnome-moz-remote, instead of netscape (#70634)

* Wed Jul 10 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.12.0
- Update ja.po to enable Japanese menu.

* Mon Jul 08 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.11.3
- Update "Copyright" to "License"

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 12  2002 Bill Huang <bhuang@redhat.com>
- Update ja.po so that pan can be started up in Japanese locale. 

* Wed Apr  3 2002 Tim Powers <timp@redhat.com>
- update to 0.11.2

* Fri Jan 31 2002 Bill Nottingham <notting@redhat.com>
- build current version in new environment

* Mon Jul  2 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.7, bugfix release
- patched desktop file so that the tooltip isn't considered offensive.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Mar 19 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.5
- fixes bug #31214 where the years were being displayed as 1979 etc.

* Fri Feb 23 2001 Trond Eivind Glomsr?eg@redhat.com>
- langify

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- update to 0.9.1
- no more applnk. Why did we do that in the first place? We have an
  entry for a desktop file in GNOME anyway?

* Wed Sep 13 2000 Tim Powers <timp@redhat.com>
- update to 0.8.1-beta4

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- fixed pan's desktop file location to fix bug #14868, was under /etx now fixed to be under /etc
- use predefined  macros from RPM so that this doesn't happen again :)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsr?eg@redhat.com>
- updated to 0.8.1beta1
- patch for db breakage

* Tue May 23 2000 Preston Brown <pbrown@redhat.com>
- updated to 0.8.0 final

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta8

* Tue Apr 18 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta5

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- updated to 0.7.5

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.6.7
- general spec file cleanups

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- first build of package
